# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/openid_connect/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-openid-connector"
  spec.version       = OmniAuth::OpenIDConnect::VERSION
  spec.authors       = ["Danial Oberg"]
  spec.email         = ["dan@cs1.com"]
  spec.summary       = %q{OpenID Connect Strategy MK2 for OmniAuth}
  spec.description   = %q{OpenID Connect Strategy MK2 for OmniAuth which is fully compliant with devise and rails and currently maintained. Derived from jjbohn's work which is not actively maintained}
  spec.homepage      = "https://github.com/doberg/omniauth-openid-reconnect"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'activesupport', '>= 0'
  spec.add_dependency 'omniauth', '~> 1.6', '>= 1.6.1'
  spec.add_dependency 'openid_connect', '= 1.1.2'
  spec.add_dependency 'addressable', '~> 2.3', '>= 2.3.6' # Because there is a breaking change in 2.3 with the way rails params arrays are handled
  spec.add_development_dependency 'bundler', '~> 1.15', '>= 1.15.1'
  spec.add_development_dependency 'minitest', '~> 5.4'
  spec.add_development_dependency 'mocha', '~> 1.2', '>= 1.2.1'
  spec.add_development_dependency 'guard', '~> 2.14', '>= 2.14.1'
  spec.add_development_dependency 'guard-minitest', '~> 2.4', '>= 2.4.6'
  spec.add_development_dependency 'guard-bundler', '~> 2.1', '>= 2.1.0'
  spec.add_development_dependency 'rake', '~> 12.0', '>= 12.0.0'
  spec.add_development_dependency 'simplecov', '~> 0.14.1'
  spec.add_development_dependency 'pry', '~> 0.10.4'
  spec.add_development_dependency 'coveralls', '~> 0.8.21'
  spec.add_development_dependency 'faker', '~> 1.8', '>= 1.8.2'
end
